#!/usr/bin/perl
# Script for loading scenarios into the database

BEGIN {
	push(@INC, $ENV{PROJECT_ROOT} . "/lib/perl");
}

use strict;
use Agromodel::Loaders::ScenarioEnsemble;
use Agromodel::Loaders::Purge;

my $purger = Agromodel::Loaders::Purge->new();
$purger->run();
my $scenarioEnsembleLoader = Agromodel::Loaders::ScenarioEnsemble->new($ARGV[0]);
$scenarioEnsembleLoader->run();
