package fiuba.lamm.agromodel;

public class ActivityGroup implements Comparable<ActivityGroup> {
	protected Byte activityGroupId;
	protected String activityGroupName;
	
	public ActivityGroup(Byte activityGroupId, String activityGroupName) {
		this.activityGroupId = activityGroupId;
		this.activityGroupName = activityGroupName;
	}
	
	public Byte getActivityGroupId() {
		return this.activityGroupId;
	}
	public String getActivityGroupName() {
		return this.activityGroupName;
	}
	
	public boolean equals(Object o) {
		if (o instanceof ActivityGroup) {
			ActivityGroup ag = (ActivityGroup) o;
			return this.activityGroupId.equals(ag.activityGroupId);
		}
		
		return false;
	}
	
	public int hashCode() {
		return this.activityGroupId.hashCode();
	}
	
	public int compareTo(ActivityGroup activityGroup) {
		return this.activityGroupId.compareTo(activityGroup.getActivityGroupId());
	}	
}