package fiuba.lamm.agromodel;

import fiuba.lamm.agromodel.agents.*;

public class CreaGroup {
	protected Short creaGroupId;
	protected String creaGroupName;
	protected String creaGroupCode;
	protected CreaRegion creaRegion;
	protected Advisor groupAdvisor;
	protected Integer groupSize;
	protected Double centroidLat;
	protected Double centroidLon;
	protected Double membershipFee;
	
	public CreaGroup(Short creaGroupId, String creaGroupName, String creaGroupCode, CreaRegion creaRegion, Advisor groupAdvisor, Integer groupSize, Double centroidLat, Double centroidLon, Double membershipFee) {
		this.creaGroupId = creaGroupId;
		this.creaGroupName = creaGroupName;
		this.creaGroupCode = creaGroupCode;
		this.creaRegion = creaRegion;
		this.groupAdvisor = groupAdvisor;
		this.groupSize = groupSize;
		this.centroidLat = centroidLat;
		this.centroidLon = centroidLon;
		this.membershipFee = membershipFee;
	}
	
	public Short getCreaGroupId() {
		return this.creaGroupId;
	}
	
	public String getCreaGroupName() {
		return this.creaGroupName;
	}
	
	public String getCreaGroupCode() {
		return this.creaGroupCode;
	}
	
	public CreaRegion getCreaRegion() {
		return this.creaRegion;
	}
	
	public Advisor getGroupAdvisor() {
		return this.groupAdvisor;
	}
	
	public Integer getGroupSize() {
		return this.groupSize;
	}
	
	public Double getCentroidLat() {
		return this.centroidLat;
	}
	
	public Double getCentroidLon() {
		return this.centroidLon;
	}

	public Double getMembershipFee() {
		return this.membershipFee;
	}
	
	public int hashCode() {
		return this.creaGroupId.hashCode();
	}
}