package fiuba.lamm.agromodel;

import fiuba.lamm.agromodel.agents.*;

public class CreaRegion {
	protected Byte creaRegionId;
	protected String creaRegionName;
	protected Integer numberOfGroups;
	protected Integer numberOfMembers;
	protected Advisor coordinator;
	
	public CreaRegion(Byte creaRegionId, String creaRegionName, Integer numberOfGroups, Integer numberOfMembers, Advisor coordinator) {
		this.creaRegionId = creaRegionId;
		this.creaRegionName = creaRegionName;
		this.numberOfGroups = numberOfGroups;
		this.numberOfMembers = numberOfMembers;
		this.coordinator = coordinator;
	}
	
	public Byte getCreaRegionId() {
		return this.creaRegionId;
	}
	
	public String getCreaRegionName() {
		return this.creaRegionName;
	}
	
	public Integer getNumberOfGroups() {
		return this.numberOfGroups;
	}
	
	public Integer getNumberOfMembers() {
		return this.numberOfMembers;
	}
	
	public Advisor getCoordinator() {
		return this.getCoordinator();
	}
	
	public int hashCode() {
		return this.hashCode();
	}
}