package fiuba.lamm.agromodel.math.custom;

import fiuba.lamm.agromodel.math.*;

public class MigrationProbabilityFunction extends Function {
	protected Function mpFunction;
	
	public MigrationProbabilityFunction() {
		this.mpFunction = new SigmoidFunction(1.0, 0.005, 1000.0, 850.0);		
	}
	
	public double apply(double x) {
		return this.mpFunction.apply(x);
	}
}
