package fiuba.lamm.agromodel.styles;

import fiuba.lamm.agromodel.agents.*;
import java.awt.*;
import repast.simphony.visualization.gis3D.*;
import repast.simphony.visualization.gis3D.style.*;

public class LandTenureFarmStyleGIS3D implements StyleGIS3D<Agent> {
	public RenderableShape getShape(Agent agent) {
		return new CustomShape();
	}

	public Material getMaterial(Agent agent, Material material) {
		Farm farm = (Farm) agent;
		if (material == null) {
			material = new Material();
		}
		Color color = null;
		if (farm.getOwner().equals(farm.getOperator())) {
			color = Color.BLUE;
		} else {
			color = Color.RED;
		}

		MaterialFactory.setMaterialAppearance(material, color);
		return material;
	}

	public float[] getScale(Agent obj) {
		return null;
	}

	public boolean isScaled(Agent object) {
		return false;
	}
}