package fiuba.lamm.agromodel.utils;

import fiuba.lamm.agromodel.CroppingCycle;
import fiuba.lamm.agromodel.Region;

public class CroppingCycleRegionCompositeKey {
	protected CroppingCycle croppingCycle;
	protected Region region;
	
	public CroppingCycleRegionCompositeKey(CroppingCycle croppingCycle, Region region) {
		this.croppingCycle = croppingCycle;
		this.region = region;
	}
	
	public boolean equals(Object o) {
		if (o instanceof CroppingCycleRegionCompositeKey) {
			CroppingCycleRegionCompositeKey key = (CroppingCycleRegionCompositeKey) o;
			return (this.croppingCycle.equals(key.croppingCycle) && this.region.equals(key.region));
		}
		
		return false;
	}
	
	public int hashCode() {
		return (this.croppingCycle.getCroppingCycleId().intValue() * this.region.getRegionId().intValue()); 
	}
}
