package fiuba.lamm.agromodel;

public class InputType {
	protected Byte inputTypeId;
	protected String inputTypeName;
	protected Byte inputTypeGroup;
	protected String inputTypeUnit;
	protected Double inputTypePrice;
	
	public InputType(Byte inputTypeId, String inputTypeName, Byte inputTypeGroup, String inputTypeUnit) {
		this.inputTypeId = inputTypeId;
		this.inputTypeName = inputTypeName;
		this.inputTypeGroup = inputTypeGroup;
		this.inputTypeUnit = inputTypeUnit;
	}
	
	public Byte getInputTypeId() {
		return this.inputTypeId;
	}
	public String getInputTypeName() {
		return this.inputTypeName;
	}
	public Byte getInputTypeGroup() {
		return this.inputTypeGroup;
	}
	public String getInputTypeUnit() {
		return this.inputTypeUnit;
	}
	
	public void setInputTypePrice(Double inputTypePrice) {
		this.inputTypePrice = inputTypePrice;
	}
	public Double getInputTypePrice() {
		return this.inputTypePrice;
	}
	
	public boolean equals(Object o) {
		if (o instanceof InputType) {
			InputType inputType = (InputType) o;
			return this.inputTypeId.equals(inputType.getInputTypeId());
		}
		
		return false;
	}
	
	public int hashCode() {
		return this.inputTypeId.hashCode();
	}
}