package fiuba.lamm.agromodel.areaupdate;

import fiuba.lamm.agromodel.agents.*;
import java.util.*;

public abstract class FarmSubSetCollectionGenerator {
	protected Farmer farmer;
	protected List<Farm> farms;
	
	protected FarmSubSetCollectionGenerator(Farmer farmer, List<Farm> farms) {
		this.farmer = farmer;
		this.farms = new ArrayList<Farm>(farms);
	}
	
	public abstract List<FarmSubSetCollection> getCollectionsList();
}
