package fiuba.lamm.agromodel.areaupdate;

public abstract class LandMarketComponent {
	protected static final Double LandMarketComponentRelativeStepTime = 1E-8;
	protected Double relativeStartTime;
	protected Double relativeEndTime;
	
	public LandMarketComponent(Double relativeStartTime, Double relativeEndTime) {
		this.relativeStartTime = relativeStartTime;
		this.relativeEndTime = relativeEndTime;
	}
	
	public abstract void scheduleNextAction();
}