package fiuba.lamm.agromodel.decision;

public class RotatorType {
	protected Short rotatorTypeId;
	protected String rotatorTypeName;
	protected Integer minPlotsPerActivityGroup;
	protected Integer maxPlotsPerActivityGroup;
	
	public RotatorType(Short rotatorTypeId, String rotatorTypeName, Integer minPlotsPerActivityGroup, Integer maxPlotsPerActivityGroup) {
		this.rotatorTypeId = rotatorTypeId;
		this.rotatorTypeName = rotatorTypeName;
		this.minPlotsPerActivityGroup = minPlotsPerActivityGroup;
		this.maxPlotsPerActivityGroup = maxPlotsPerActivityGroup;
	}

	// Accessors
	public Short getRotatorTypeId() {
		return this.rotatorTypeId;
	}
	public String getRotatorTypeName() {
		return this.rotatorTypeName;
	}
	public Integer getMinPlotsPerActivityGroup() {
		return this.minPlotsPerActivityGroup;
	}
	public Integer getMaxPlotsPerActivityGroup() {
		return this.maxPlotsPerActivityGroup;
	}
	
	public boolean equals(Object o) {
		if (o instanceof RotatorType) {
			RotatorType r = (RotatorType) o;
			return this.rotatorTypeId.equals(r.rotatorTypeId); 
		}
		
		return false;
	}
}
