package fiuba.lamm.agromodel.math;

public class ConstantVectorialField extends VectorialField {
	protected double k;
		
	public ConstantVectorialField(Double k) {
		this.k = k;
	}
	
	public void setValue(double k) {
		this.k = k;
	}
	
	public double[] apply(double x[]) {
		double y[] = new double[x.length];
		for (int i = 0; i < x.length; i++) {
			y[i] = k;
		}
		
		return y;
	}
}